import { useConfig } from "antdv-next/config-provider/context";
//#region components/x-provider/hooks/use-x-provider-context.ts
var defaultPrefixCls = "ant";
function useXProviderContext() {
	const configCtx = useConfig();
	return {
		theme: configCtx.value.theme,
		getPrefixCls: configCtx.value.getPrefixCls,
		direction: configCtx.value.direction,
		csp: configCtx.value.csp,
		iconPrefixCls: configCtx.value.iconPrefixCls
	};
}
//#endregion
export { useXProviderContext as default, defaultPrefixCls };
